package com.sf.day04;

import com.beust.ah.A;
import org.junit.jupiter.api.Test;

import java.util.Arrays;
import java.util.Scanner;

/**
 * 从键盘读入学生10成绩，找出最高分，并输出学生成绩等级。
 *
 * - 成绩>=最高分-10   等级为’A’
 *
 * - 成绩>=最高分-20  等级为’B’
 *
 * - 成绩>=最高分-30  等级为’C’
 *
 * - 其余            等级为’D’
 */
public class T2 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入录入成绩的人数~");
        int personCount = scanner.nextInt();
        int[] score = new int[personCount];
        //假设一个最大值
        int max = 0;
        for (int i = 0; i< score.length;i++){
            score[i] = scanner.nextInt();
            if(max < score[i]){
                max = score[i];
            }
        }
        System.out.println("最高分"+max);

        char level;
        //确定等级
        for (int i = 0; i< score.length;i++){
            if(score[i] >= max - 10){
                 level = 'A';
            }else if (score[i] >= max - 20 ){
                level = 'B';
            }else if (score[i] >= max - 30){
                level = 'C';
            }else {
                level = 'D';
            }
            System.out.println(level);
        }
    }

    @Test
    public void t1(){
        //声明初始化一个二维数组
        int[][] arr = new int[][]{ {1,2},{1,2,3},{3,4,5,6}};
        int[][] arr2 = new int[2][3];
        //赋值
        for (int i = 0 ;i<arr2.length ;i++){
            for (int j = 0;j< arr2[i].length;j++){
                arr2[i][j] = 3;
            }
        }

        arr2[0][1] = 4;
        System.out.println(Arrays.toString(arr2[0]));
    }

    /**
     * 第一季度 每一个月的销售额 分别是 12，14，24，
     *
     * 第二季度 每一个月的销售额 分别是 23，18，35，
     *
     * 第三季度 每一个月的销售额 分别是 33，48，25，
     *
     * 第四季度 每一个月的销售额 分别是 27，28，35，
     */
    @Test
    public void t3(){
        int[][] arr = new int[][]{{12,14,24},{23,18,35},{33,48,25},{27,28,35}};
        int sum = 0;
        for (int i= 0;i<arr.length;i++){
            for (int j= 0;j<arr[i].length;j++){
                    sum += arr[i][j];
            }
        }
        System.out.println(sum);
        System.out.println(sum*1.0/12);
    }

    //数组的反转
    @Test
    public void t4(){
        int[] arr = {1,2,3,4,5,6,7,8,9};
//        for (int i  = 0;i< arr.length/2;i++){
//           int temp = arr[i];
//           arr[i] = arr[arr.length-i-1];
//            arr[arr.length-i-1] = temp;
//        }
//        System.out.println(Arrays.toString(arr));
        for (int left = 0,right = arr.length-1;left<right;left++,right--){
            int temp = arr[left];
            arr[left] = arr[right];
            arr[right] = temp;
        }
        System.out.println(Arrays.toString(arr));
    }


    @Test
    public void t5(){
        //数组元素的复制
        int[] arr = {1,2,3,4,5,6,7,8,9};
        int[] arr1 = new int[arr.length];
        for (int i = 0;i<arr.length;i++){
            arr1[i] = arr[i];
        }
        System.out.println(Arrays.toString(arr1));
    }

    @Test
    public void t2(){
        //数组元素的查找
        int[] arr = {1,2,3,4,5,6,7,8,9};
        int value = 9;
        int index = -1;
        for(int i=0; i<arr.length; i++){
            if(arr[i] == value){
                index = i;
                break;
            }
        }
        if(index==-1){
            System.out.println(value + "不存在");
        }else{
            System.out.println(value + "的下标是" + index);
        }
    }


    /**
     * 复制
     */
    @Test
    public void t6(){
        int[] arr = new int[]{1,2,3,4,5,67,67,8,89};
       int[] arr1 =  new int[arr.length];
       for(int i = 0;i<arr.length;i++){
           arr1[i] = arr[i];
        }
        System.out.println(Arrays.toString(arr1));
    }

    /**
     * 数组的元素查找
     */
    @Test
    public void t7(){
        int[] arr = new int[]{1,2,3,4,5,67,8,89};
        int index = -1;
        int val = 672;
        for (int i= 0;i<arr.length;i++){
            if(val == arr[i]){
                index = i;
                break;
            }
        }
        if(index  == -1){
            System.out.println("没有找到");
        }else {
            System.out.println("找到了  下标是"+index);
        }
    }

    /**
     * 二分查找   前提  必须是有序数组
     */
    @Test
    public void t8(){
        int[] arr = new int[]{1,2,3,4,5,67,81,89};
        int val = 811;
        int head = 0;
        boolean flag = true;
        int end = arr.length-1;
        while (head<=end){
            int middle = (head + end) / 2;
            if(arr[middle] == val){
                System.out.println("找到了  index= "+middle);
                flag = false;
                break;
            }else if(arr[middle] > val){
                end = middle -1;
            }else {
                head = middle+1;
            }
        }
        if(flag){
            System.out.println("没有找到~");
        }
    }
}
